Subject: Re: [PATCH net-next v1 4/7] selftests/net: add rand_ifname() helper

From: Jakub Kicinski <[email-masked]>
Date: Thu, 20 Nov 2025 19:19:16 -0800

On Wed, 19 Nov 2025 19:30:13 -0800 David Wei wrote:
> For upcoming netkit container datapath selftests I want to generate
> randomised ifnames. Add a helper rand_ifname() to do this.

The kernel will generate a name automatically, why do we need to create
a specific one?